org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONTypeIdResolver

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONTypeIdResolver

-     public class GraphSONTypeIdResolver
      extends Object

  Provides quick lookup for Type deserialization extracted from the JSON payload. As well as the Java Object to types compatible for the version 2.0 of GraphSON.
  Author:
    Kevin Gallardo (https://kgdo.me)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphSONTypeIdResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphSONTypeIdResolver` | `addCustomType(String name, Class clasz)`
    `String` | `getDescForKnownTypeIds()`
    `Map<String,JavaType>` | `getIdToType()`
    `JsonTypeInfo.Id` | `getMechanism()`
    `Map<Class,String>` | `getTypeToId()`
    `String` | `idFromBaseType()`
    `String` | `idFromValue(Object o)`
    `String` | `idFromValueAndType(Object o, Class<?> aClass)`
    `void` | `init(JavaType javaType)`
    `JavaType` | `typeFromId(DatabindContext databindContext, String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphSONTypeIdResolver

          public GraphSONTypeIdResolver()

  - ### Method Detail

    - #### addCustomType

          public GraphSONTypeIdResolver addCustomType(String name,
                                                      Class clasz)

    - #### getIdToType

          public final Map<String,JavaType> getIdToType()

    - #### getTypeToId

          public final Map<Class,String> getTypeToId()

    - #### init

          public void init(JavaType javaType)

    - #### idFromValue

          public String idFromValue(Object o)

    - #### idFromValueAndType

          public String idFromValueAndType(Object o,
                                           Class<?> aClass)

    - #### idFromBaseType

          public String idFromBaseType()

    - #### typeFromId

          public JavaType typeFromId(DatabindContext databindContext,
                                     String s)

    - #### getDescForKnownTypeIds

          public String getDescForKnownTypeIds()

    - #### getMechanism

          public JsonTypeInfo.Id getMechanism()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.